Subject: Re: RFD: tables in documentation

From: Will Palmer <[email-masked]>
Date: Sun, 02 May 2010 15:51:56 +0100

sorry about that, apparently "shift+enter" means "send" to this thing...

On Sun, 2010-05-02 at 15:43 +0100, Will Palmer wrote:
> On Sun, 2010-05-02 at 15:31 +0200, Michael J Gruber wrote:
> > Jeff King venit, vidit, dixit 02.05.2010 07:06:
> > > On Sat, May 01, 2010 at 08:37:39PM +0200, Michael J Gruber wrote:
> > > Did you put the source up anywhere? I didn't see it, but it would be
> > > interesting to see how painful it is to write.
> > 
> > http://repo.or.cz/w/git/mjg.git/shortlog/refs/heads/doc-use-tables
> > 
> > Tough guess, I know ;)
> > 
> > Michael
> 

that looks suspiciously like a format that's intended to be readable in
both plaintext and eventually-generated form. This is me speaking in
pure ignorance, but would something like (though I assume not exactly):

[cols="1,3*5,8"]
   |=====================
   |		   |I		 |H		|M		|Result
   |     0	   |nothing	 |nothing	|nothing	|(does not happen)
   |     1	   |nothing	 |nothing	|exists		|use M
   |     2	   |nothing	 |exists	|nothing	|remove path from index
.2+|	 3	.2+|nothing   .2+|exists	|exists, H == M |use M if "initial checkout", keep index otherwise
						 exists, H != M |fail
   |=====================

work as intended?

-- 
-- Will